Bug 147312 - ndiswrapper freezes when doing ifconfig
ndiswrapper freezes when doing ifconfig
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-06 22:06 EST by Karol Krizka
Modified: 2014-03-16 22:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 14:51:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel Panic (84.76 KB, image/jpeg)
2005-02-06 22:08 EST, Karol Krizka
no flags Details

  None (edit)
Description Karol Krizka 2005-02-06 22:06:22 EST
Description of problem:
I have a Presarion R3000 laptop with a Broadcom wireless card. Since
there is no support by them, I have installed ndiswrapper to handle
it. The drivers I am using are from linuxant's website.

Now the problem. Everything works all right up to where the card is
listed when I use iwconfig. Now I try to use FC3's network config
tool. It dosn't detect is as wireless, why? So I added it as other and
chose some random hardware from the list. When I try to active it, it
says: "Link not found. Check cable?" So next I try to bring it up
manually. I do iwconfig essid dunco key s:my-key. Key is set, but not
the ESSID. So I replaced it with key open s:mykey and it worked. Then
I do ifconfig eth1 up and it freezes. Later when playing with it in
console, I find that there is a kernel panic. To copy&paste it, I try
connecting in from another computer and running it. Everything works
without a problem, but still no internet. I have gotten the IP, but
it's useless. This is what dhclient did:
[root@zorka ~]# dhclient eth1
Internet Systems Consortium DHCP Client V3.0.1
Copyright 2004 Internet Systems Consortium.
All rights reserved.
For info, please visit http://www.isc.org/products/DHCP

sit0: unknown hardware address type 776
sit0: unknown hardware address type 776
Listening on LPF/eth1/00:90:4b:97:ea:58
Sending on   LPF/eth1/00:90:4b:97:ea:58
Sending on   Socket/fallback
DHCPREQUEST on eth1 to 255.255.255.255 port 67
DHCPREQUEST on eth1 to 255.255.255.255 port 67
DHCPREQUEST on eth1 to 255.255.255.255 port 67
DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 5
DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 14
DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 21
DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 16
DHCPDISCOVER on eth1 to 255.255.255.255 port 67 interval 5
No DHCPOFFERS received.
Trying recorded lease 10.15.10.20
PING 10.15.10.254 (10.15.10.254) 56(84) bytes of data.

--- 10.15.10.254 ping statistics ---
1 packets transmitted, 1 received, 0% packet loss, time 0ms
rtt min/avg/max/mdev = 1.782/1.782/1.782/0.000 ms, pipe 2
SIOCADDRT: File exists
bound: renewal in 29677 seconds.

So since I have no kernel panic text, I just took a picture of it
(attached).

Version-Release number of selected component (if applicable):
CVS and 1.0-r4

How reproducible:
All the time when not doing remotly.

Steps to Reproduce:
1.modprobe ndiswrapper
2.iwconfig eth1 essid dunco key open s:my-key
3.ifconfig eth1 up
  
Actual results:
Kernel Panic

Expected results:
eth1 interface brought up

Additional info:
#/etc/modprobe.conf
options ndisdriver if_name=eth1

kernel: 2.6.10-fc3-730 with symatics patch & 2.6.10-fc3-730 no patches
Comment 1 Karol Krizka 2005-02-06 22:08:41 EST
Created attachment 110707 [details]
Kernel Panic
Comment 2 Sitsofe Wheeler 2005-02-07 03:59:39 EST
Are you using a completely stock FC3 kernel (i.e. not a linuxant kernel nor a
custom compiled kernel)? If so this is known to cause problems with ndiswrapper
because of the 4K Stacks option and turning this option off will automatically
invalidate bugs you file in this bugzilla. The best option is probably to ask
for help from the ndiswrapper folks
(http://ndiswrapper.sourceforge.net/support.html ) or the fedora-list mailing
list (http://www.redhat.com/mailman/listinfo/fedora-list ). Unfortunately
because you are running non-stock FC3 kernel modules coupled with binary only
bits no one here will be able to follow up your report.
Comment 3 Bill Nottingham 2005-02-07 14:51:27 EST
This is not a bug in the Fedora stack... please consult with the
ndiswrapper authors.

Note You need to log in before you can comment on or make changes to this bug.